summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-04-24 11:22:06 +0000
commit701475f791025cfb08e9b8cee35bb63ca772416f (patch)
tree42f671f8309e37ab70f18bca35265a097fc90cd0 /target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug
parentb4173a87fec4e0f5ac497a6b1581279fdb5042be (diff)
downloadbuildroot-novena-701475f791025cfb08e9b8cee35bb63ca772416f.tar.gz
buildroot-novena-701475f791025cfb08e9b8cee35bb63ca772416f.zip
This patch renames the Atmel atstk1002 target board to a more generic atstk100x name. This to make it easier to add support for other CPU-boards than atstk1002.
Submitted by Hans-Christian Egtvedt
Diffstat (limited to 'target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug')
-rw-r--r--target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug14
1 files changed, 14 insertions, 0 deletions
diff --git a/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug
new file mode 100644
index 000000000..15e075b88
--- /dev/null
+++ b/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S01hotplug
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+echo -n "Setting up mdev: "
+set -e
+trap 'echo "failed"' EXIT
+/bin/ln -s /proc/self/fd /dev/fd
+/bin/ln -s /proc/self/fd/0 /dev/stdin
+/bin/ln -s /proc/self/fd/1 /dev/stdout
+/bin/ln -s /proc/self/fd/2 /dev/stderr
+/bin/ln -s /proc/kcore /dev/core
+/bin/echo /sbin/mdev > /proc/sys/kernel/hotplug
+/sbin/mdev -s
+trap - EXIT
+echo "done"